[MIR] ibus-libpinyin and dependencies

Bug #1738582 reported by Gunnar Hjalmarsson on 2017-12-16
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ibus-libpinyin (Ubuntu)
Undecided
Unassigned
libpinyin (Ubuntu)
Undecided
Unassigned

Bug Description

Please include these packages in Ubuntu's component main:

* ibus-libpinyin
* libpinyin (the ibus-libpinyin binary depends on libpinyin13)

As has been discussed at bug #1735362 we would like to replace ibus-sunpinyin with ibus-libpinyin ("Intelligent Pinyin") in the live seed and as the default input method for typing Simplified Chinese. Reasons for the switch are:

- ibus-libpinyin is better maintained
- ibus-libpinyin is built with and depends on Python3
- ibus-libpinyin is default input method in GNOME

Bugs ibus-libpinyin
-------------------
https://github.com/libpinyin/ibus-libpinyin/issues

https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=ibus-libpinyin

https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin

Bugs libpinyin
--------------
https://github.com/libpinyin/libpinyin/issues

(no open Debian or Ubuntu bugs)

I have read https://wiki.ubuntu.com/UbuntuMainInclusionRequirements, and haven't found any issues that would prevent the proposed main inclusion.

Matthias Klose (doko) wrote :

 - both ibus-libpinyin and libpinyin look okish.

 - not happy about the dependency on lua5.1, which is superseded by
   lua5.2 and lua5.3 (both in main). Can this be updated?

 - both pinyin packages need bug subscribers. Who will that be?

Changed in ibus-libpinyin (Ubuntu):
status: New → Incomplete
Matthias Klose (doko) wrote :

 - libpinyin wasn't updated for a year. There is now a
   2.1 release.
   https://github.com/libpinyin/libpinyin/releases

 - same with ibus-libpinyin 1.9.2
   https://github.com/libpinyin/ibus-libpinyin/releases

   and it looks like this version has support for lua5.2,
   please check for 5.3 as well.

Gunnar Hjalmarsson (gunnarhj) wrote :

I successfully built the existing version of ibus-libpinyin with lua5.3 instead of lua5.1, and the resulting binary seems to work fine. Debdiff attached to bug #1735362.

So even if it would be desirable to update to newer upstream versions, that's not a blocker for this MIR, is it?

~desktop-packages is bug subscriber to ibus-sunpinyin currently, so I'd suggest the same for ibus-libpinyin and libpinyin.

Changed in ibus-libpinyin (Ubuntu):
status: Incomplete → New
description: updated
no longer affects: lua5.1 (Ubuntu)
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-12-18 19:52, Gunnar Hjalmarsson wrote:
> ~desktop-packages is bug subscriber to ibus-sunpinyin currently, so
> I'd suggest the same for ibus-libpinyin and libpinyin.

@Sebastien, is that fine with you?

Ping-Wu (wliauh) wrote :

When can we expect ibus-libpinyin 1.9.x to be in the repository? Desperately need it.

Ping-Wu (wliauh) wrote :

ibus-libpinyin 1.9.x works quite well in Fedora 26/27 (though needs some "training" to elevate the frequency of certain special words/phrases in personal dictionary). In comparison, the current version of ibus-libpinyin (Ubuntu 17.10 and before) is almost unusable. The Chinese Ubuntu forum is advising Ubuntu users to remove and install fcitx, which has its own problems.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Ping-Wu: Thanks for your input! ibus-libpinyin 1.9.2 is available in this PPA:

https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin

It would be great if you could install and test that version and provide your feedback.

@Gunnar, Thanks so much! I will test it soon. Will also post this
request at the Ubuntu Chinese forum.

On Mon, Jan 15, 2018 at 5:59 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> @Ping-Wu: Thanks for your input! ibus-libpinyin 1.9.2 is available in
> this PPA:
>
> https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin
>
> It would be great if you could install and test that version and provide
> your feedback.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1738582
>
> Title:
> [MIR] ibus-libpinyin and dependencies
>
> Status in ibus-libpinyin package in Ubuntu:
> New
> Status in libpinyin package in Ubuntu:
> New
>
> Bug description:
> Please include these packages in Ubuntu's component main:
>
> * ibus-libpinyin
> * libpinyin (the ibus-libpinyin binary depends on libpinyin7)
>
> As has been discussed at bug #1735362 we would like to replace ibus-
> sunpinyin with ibus-libpinyin ("Intelligent Pinyin") in the live seed
> and as the default input method for typing Simplified Chinese. Reasons
> for the switch are:
>
> - ibus-libpinyin is better maintained
> - ibus-libpinyin is built with and depends on Python3
> (not yet in Debian: https://bugs.debian.org/883631)
> - ibus-libpinyin is default input method in GNOME
>
> Bugs ibus-libpinyin
> -------------------
> https://github.com/libpinyin/ibus-libpinyin/issues
>
> https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=ibus-libpinyin
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin
>
> Bugs libpinyin
> --------------
> https://github.com/libpinyin/libpinyin/issues
>
> (no open Debian or Ubuntu bugs)
>
>
> I have read https://wiki.ubuntu.com/UbuntuMainInclusionRequirements,
> and haven't found any issues that would prevent the proposed main inclusion.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1738582/+subscriptions
>

Ping-Wu (wliauh) wrote :

I don't have bionic installed yet. It will take me a while to test it.

On Mon, Jan 15, 2018 at 5:59 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> @Ping-Wu: Thanks for your input! ibus-libpinyin 1.9.2 is available in
> this PPA:
>
> https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin
>
> It would be great if you could install and test that version and provide
> your feedback.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1738582
>
> Title:
> [MIR] ibus-libpinyin and dependencies
>
> Status in ibus-libpinyin package in Ubuntu:
> New
> Status in libpinyin package in Ubuntu:
> New
>
> Bug description:
> Please include these packages in Ubuntu's component main:
>
> * ibus-libpinyin
> * libpinyin (the ibus-libpinyin binary depends on libpinyin7)
>
> As has been discussed at bug #1735362 we would like to replace ibus-
> sunpinyin with ibus-libpinyin ("Intelligent Pinyin") in the live seed
> and as the default input method for typing Simplified Chinese. Reasons
> for the switch are:
>
> - ibus-libpinyin is better maintained
> - ibus-libpinyin is built with and depends on Python3
> (not yet in Debian: https://bugs.debian.org/883631)
> - ibus-libpinyin is default input method in GNOME
>
> Bugs ibus-libpinyin
> -------------------
> https://github.com/libpinyin/ibus-libpinyin/issues
>
> https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=ibus-libpinyin
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin
>
> Bugs libpinyin
> --------------
> https://github.com/libpinyin/libpinyin/issues
>
> (no open Debian or Ubuntu bugs)
>
>
> I have read https://wiki.ubuntu.com/UbuntuMainInclusionRequirements,
> and haven't found any issues that would prevent the proposed main inclusion.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1738582/+subscriptions
>

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2018-01-15 19:29, Ping-Wu wrote:
> I don't have bionic installed yet. It will take me a while to test
> it.

It's fine to enable that PPA on artful via "Software & Updates". Just change the "distribution" to bionic.

Ping-Wu (wliauh) wrote :

I am running zesta now, the PPA works GREAT! Will keep testing. Keep the
fingers crossed. Thanks a whole bunch!!!

On Mon, Jan 15, 2018 at 9:09 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2018-01-15 19:29, Ping-Wu wrote:
> > I don't have bionic installed yet. It will take me a while to test
> > it.
>
> It's fine to enable that PPA on artful via "Software & Updates". Just
> change the "distribution" to bionic.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1738582
>
> Title:
> [MIR] ibus-libpinyin and dependencies
>
> Status in ibus-libpinyin package in Ubuntu:
> New
> Status in libpinyin package in Ubuntu:
> New
>
> Bug description:
> Please include these packages in Ubuntu's component main:
>
> * ibus-libpinyin
> * libpinyin (the ibus-libpinyin binary depends on libpinyin7)
>
> As has been discussed at bug #1735362 we would like to replace ibus-
> sunpinyin with ibus-libpinyin ("Intelligent Pinyin") in the live seed
> and as the default input method for typing Simplified Chinese. Reasons
> for the switch are:
>
> - ibus-libpinyin is better maintained
> - ibus-libpinyin is built with and depends on Python3
> (not yet in Debian: https://bugs.debian.org/883631)
> - ibus-libpinyin is default input method in GNOME
>
> Bugs ibus-libpinyin
> -------------------
> https://github.com/libpinyin/ibus-libpinyin/issues
>
> https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=ibus-libpinyin
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin
>
> Bugs libpinyin
> --------------
> https://github.com/libpinyin/libpinyin/issues
>
> (no open Debian or Ubuntu bugs)
>
>
> I have read https://wiki.ubuntu.com/UbuntuMainInclusionRequirements,
> and haven't found any issues that would prevent the proposed main inclusion.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1738582/+subscriptions
>

Ping-Wu (wliauh) wrote :

one problem is that, after I log-out then log-in again, I would lose the
input method. Although ibus-daemon is still running.

On Mon, Jan 15, 2018 at 9:09 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2018-01-15 19:29, Ping-Wu wrote:
> > I don't have bionic installed yet. It will take me a while to test
> > it.
>
> It's fine to enable that PPA on artful via "Software & Updates". Just
> change the "distribution" to bionic.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1738582
>
> Title:
> [MIR] ibus-libpinyin and dependencies
>
> Status in ibus-libpinyin package in Ubuntu:
> New
> Status in libpinyin package in Ubuntu:
> New
>
> Bug description:
> Please include these packages in Ubuntu's component main:
>
> * ibus-libpinyin
> * libpinyin (the ibus-libpinyin binary depends on libpinyin7)
>
> As has been discussed at bug #1735362 we would like to replace ibus-
> sunpinyin with ibus-libpinyin ("Intelligent Pinyin") in the live seed
> and as the default input method for typing Simplified Chinese. Reasons
> for the switch are:
>
> - ibus-libpinyin is better maintained
> - ibus-libpinyin is built with and depends on Python3
> (not yet in Debian: https://bugs.debian.org/883631)
> - ibus-libpinyin is default input method in GNOME
>
> Bugs ibus-libpinyin
> -------------------
> https://github.com/libpinyin/ibus-libpinyin/issues
>
> https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=ibus-libpinyin
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin
>
> Bugs libpinyin
> --------------
> https://github.com/libpinyin/libpinyin/issues
>
> (no open Debian or Ubuntu bugs)
>
>
> I have read https://wiki.ubuntu.com/UbuntuMainInclusionRequirements,
> and haven't found any issues that would prevent the proposed main inclusion.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1738582/+subscriptions
>

Ping-Wu (wliauh) wrote :

to restart input method, I need to enter two commands:

ibus exit

ibus-daemon &

Gunnar Hjalmarsson (gunnarhj) wrote :

That's odd.

- Did you add the input method via System Settings -> Text Entry?

- Is IBus set in System Settings -> Language Support?

I don't see the issue on artful or bionic. (Won't try on zesty, since zesty is end-of-life by now.)

Ping-Wu (wliauh) wrote :

I am actually using Ubuntu Mate; there is no "Text Entry". Will try to
install Bionic hopefully later today. (I was using ibus-setup to add
ibus-libpinyin.)

On Mon, Jan 15, 2018 at 11:25 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> That's odd.
>
> - Did you add the input method via System Settings -> Text Entry?
>
> - Is IBus set in System Settings -> Language Support?
>
> I don't see the issue on artful or bionic. (Won't try on zesty, since
> zesty is end-of-life by now.)
>

Ping-Wu (wliauh) wrote :

Ok, no problem with bionic. Still too unstable (bionic). Thanks again!

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for testing and confirming, @Ping-Wu!

Ping-Wu (wliauh) wrote :

I don't seem to be able to find the hot key (usually super + space) to
switch input methods.

On Mon, Jan 15, 2018 at 8:31 PM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Thanks for testing and confirming, @Ping-Wu!
>
>

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2018-01-16 08:42, Ping-Wu wrote:
> I don't seem to be able to find the hot key (usually super + space)
> to switch input methods.

That's unrelated to the possible upgrade of ibus-libpinyin. Since this is a bug report, and not a support forum, can you please ask about that at a more proper place, e.g. <https://askubuntu.com>.

Ping-Wu (wliauh) wrote :

Thanks. It turned out that the hot key to switch different input methods
has been integrated into Gnome's general "keyboard shortcut". No problem
switching from "super + space" to "control + space" Just fyi.

On Mon, Jan 15, 2018 at 10:28 PM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2018-01-16 08:42, Ping-Wu wrote:
> > I don't seem to be able to find the hot key (usually super + space)
> > to switch input methods.
>
> That's unrelated to the possible upgrade of ibus-libpinyin. Since this
> is a bug report, and not a support forum, can you please ask about that
> at a more proper place, e.g. <https://askubuntu.com>.
>

Jeremy Bicha (jbicha) wrote :

The Ubuntu Desktop Bugs team has been subscribed to both libpinyin and ibus-libpinyin.

ibus-libpinyin in bionic-proposed uses lua5.3 and Python3. (It is stuck in -proposed while we wait for Launchpad to build all architectures again.)

Gunnar Hjalmarsson (gunnarhj) wrote :

The new versions of both ibus-libpinyin and libpinyin have now migrated to bionic-release.

Ping-Wu (wliauh) wrote :

Thank you so much Gunnar!

just a minor comment. ibus-libpinyin can also be toggled to input
traditional Chinese characters (繁體中文)from the default simplified Chinese
(简体中文)。People who live in Taiwan may prefer to use "bopomofo", which, as I
understand it, uses the same engine as ibus-libpinyin but a different
keyboard layout.

With ibus-libpinyin development now seemingly in the pipeline, I am
switching back from Fedora to Ubuntu!

There are ways to improve ibus-libpinyin, will discuss them later. Perhaps
a new thread?

On Mon, Jan 29, 2018 at 2:28 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> The new versions of both ibus-libpinyin and libpinyin have now migrated
> to bionic-release.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1738582
>
> Title:
> [MIR] ibus-libpinyin and dependencies
>
> Status in ibus-libpinyin package in Ubuntu:
> New
> Status in libpinyin package in Ubuntu:
> New
>
> Bug description:
> Please include these packages in Ubuntu's component main:
>
> * ibus-libpinyin
> * libpinyin (the ibus-libpinyin binary depends on libpinyin7)
>
> As has been discussed at bug #1735362 we would like to replace ibus-
> sunpinyin with ibus-libpinyin ("Intelligent Pinyin") in the live seed
> and as the default input method for typing Simplified Chinese. Reasons
> for the switch are:
>
> - ibus-libpinyin is better maintained
> - ibus-libpinyin is built with and depends on Python3
> (not yet in Debian: https://bugs.debian.org/883631)
> - ibus-libpinyin is default input method in GNOME
>
> Bugs ibus-libpinyin
> -------------------
> https://github.com/libpinyin/ibus-libpinyin/issues
>
> https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=ibus-libpinyin
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin
>
> Bugs libpinyin
> --------------
> https://github.com/libpinyin/libpinyin/issues
>
> (no open Debian or Ubuntu bugs)
>
>
> I have read https://wiki.ubuntu.com/UbuntuMainInclusionRequirements,
> and haven't found any issues that would prevent the proposed main inclusion.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1738582/+subscriptions
>

Gunnar Hjalmarsson (gunnarhj) wrote :

@Ping-Wu: Right, the ibus-libpinyin package provides both an "intelligent Pinyin" and a "Bopomofo" input method.

Yeah, suggested improvements is certainly another "thread". ;) This is actually a bug report with a very specific adminstrative purpose. If you want to discuss improvements, I think the proper way is to file an upstream issue here:

https://github.com/libpinyin/ibus-libpinyin/issues

Anyway, Ubuntu 18.04 LTS will be shipped with ibus-libpinyin 1.9.2. I'm not sure that would have happened without your input here, so thank you very much for calling our attention to the usability differences compared to the current version in Ubuntu 17.10. Much appreciated!

description: updated
Matthias Klose (doko) wrote :
Download full text (3.6 KiB)

Override component to main
libpinyin 2.1.0-1~exp3 in bionic: universe/libs -> main
libpinyin-common-dev 2.1.0-1~exp3 in bionic amd64: universe/libdevel/optional/100% -> main
libpinyin-common-dev 2.1.0-1~exp3 in bionic arm64: universe/libdevel/optional/100% -> main
libpinyin-common-dev 2.1.0-1~exp3 in bionic armhf: universe/libdevel/optional/100% -> main
libpinyin-common-dev 2.1.0-1~exp3 in bionic i386: universe/libdevel/optional/100% -> main
libpinyin-common-dev 2.1.0-1~exp3 in bionic ppc64el: universe/libdevel/optional/100% -> main
libpinyin-common-dev 2.1.0-1~exp3 in bionic s390x: universe/libdevel/optional/100% -> main
libpinyin-data 2.1.0-1~exp3 in bionic amd64: universe/libs/optional/100% -> main
libpinyin-data 2.1.0-1~exp3 in bionic arm64: universe/libs/optional/100% -> main
libpinyin-data 2.1.0-1~exp3 in bionic armhf: universe/libs/optional/100% -> main
libpinyin-data 2.1.0-1~exp3 in bionic i386: universe/libs/optional/100% -> main
libpinyin-data 2.1.0-1~exp3 in bionic ppc64el: universe/libs/optional/100% -> main
libpinyin-data 2.1.0-1~exp3 in bionic s390x: universe/libs/optional/100% -> main
libpinyin-utils 2.1.0-1~exp3 in bionic amd64: universe/utils/optional/100% -> main
libpinyin-utils 2.1.0-1~exp3 in bionic arm64: universe/utils/optional/100% -> main
libpinyin-utils 2.1.0-1~exp3 in bionic armhf: universe/utils/optional/100% -> main
libpinyin-utils 2.1.0-1~exp3 in bionic i386: universe/utils/optional/100% -> main
libpinyin-utils 2.1.0-1~exp3 in bionic ppc64el: universe/utils/optional/100% -> main
libpinyin-utils 2.1.0-1~exp3 in bionic s390x: universe/utils/optional/100% -> main
libpinyin13 2.1.0-1~exp3 in bionic amd64: universe/libs/optional/100% -> main
libpinyin13 2.1.0-1~exp3 in bionic arm64: universe/libs/optional/100% -> main
libpinyin13 2.1.0-1~exp3 in bionic armhf: universe/libs/optional/100% -> main
libpinyin13 2.1.0-1~exp3 in bionic i386: universe/libs/optional/100% -> main
libpinyin13 2.1.0-1~exp3 in bionic ppc64el: universe/libs/optional/100% -> main
libpinyin13 2.1.0-1~exp3 in bionic s390x: universe/libs/optional/100% -> main
libpinyin13-dev 2.1.0-1~exp3 in bionic amd64: universe/libdevel/optional/100% -> main
libpinyin13-dev 2.1.0-1~exp3 in bionic arm64: universe/libdevel/optional/100% -> main
libpinyin13-dev 2.1.0-1~exp3 in bionic armhf: universe/libdevel/optional/100% -> main
libpinyin13-dev 2.1.0-1~exp3 in bionic i386: universe/libdevel/optional/100% -> main
libpinyin13-dev 2.1.0-1~exp3 in bionic ppc64el: universe/libdevel/optional/100% -> main
libpinyin13-dev 2.1.0-1~exp3 in bionic s390x: universe/libdevel/optional/100% -> main
libzhuyin-dev 2.1.0-1~exp3 in bionic amd64: universe/libdevel/optional/100% -> main
libzhuyin-dev 2.1.0-1~exp3 in bionic arm64: universe/libdevel/optional/100% -> main
libzhuyin-dev 2.1.0-1~exp3 in bionic armhf: universe/libdevel/optional/100% -> main
libzhuyin-dev 2.1.0-1~exp3 in bionic i386: universe/libdevel/optional/100% -> main
libzhuyin-dev 2.1.0-1~exp3 in bionic ppc64el: universe/libdevel/optional/100% -> main
libzhuyin-dev 2.1.0-1~exp3 in bionic s390x: universe/libdevel/optional/100% -> main
libzhuyin13 2.1.0-1~exp3 in bionic amd64: universe/libs...

Read more...

Changed in libpinyin (Ubuntu):
status: New → Fix Released
Matthias Klose (doko) wrote :

Override component to main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic: universe/utils -> main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic amd64: universe/utils/optional/100% -> main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic arm64: universe/utils/optional/100% -> main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic armhf: universe/utils/optional/100% -> main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic i386: universe/utils/optional/100% -> main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic ppc64el: universe/utils/optional/100% -> main
ibus-libpinyin 1.9.2-1~exp1ubuntu1 in bionic s390x: universe/utils/optional/100% -> main
7 publications overridden.

Changed in ibus-libpinyin (Ubuntu):
status: New → Fix Released
Ping-Wu (wliauh) wrote :

As of today, the ibus-libpinyin package has replaced ibus-sunpinyin. This is a move in the right direction. (Finally !)

However, the default Chinese input still points to ibus-sunpinyin, resulting in users unable to input Chinese characters, even when selecting (simplified) Chinese locale during the liveUSB boot.

The default Chinese input method should also change to ibus-libpinyin.

Thanks.

Related bug report:

https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/+bug/1756205

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.